Debian Bug report logs - #655074
transition: audiofile

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Alessio Treglia <alessio@debian.org>

Date: Sun, 8 Jan 2012 11:24:24 UTC

Owned by: Niels Thykier <niels@thykier.net>

Severity: normal

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655074; Package release.debian.org. (Sun, 08 Jan 2012 11:24:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 08 Jan 2012 11:24:35 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: audiofile
Date: Sun, 08 Jan 2012 12:23:34 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

few days ago I uploaded audiofile 0.3.2 to experimental and, due to the
ABI change introduced by this new stable release (see bug#562677), I need
a transition slot.

The following packages would be affected by the transition and I've already
tried to build them, you could have a look at the logs here [1]:

 avifile                (actually not affected, see bug#654737)
 ayttm                  (builds fine)
 beast                  (builds fine)
 cheesetracker          (builds fine)
 cynthiune.app          (bug#654766, patch available)
 djplay                 (builds fine)
 dopewars               (builds fine)
 ecasound               (builds fine)
 esound                 (builds fine)
 fuse-emulator-utils    (builds fine)
 galan                  (builds fine)
 glame                  (failed, not due to the transition)
 gnubiff                (builds fine)
 gnuboy                 (builds fine)
 gnusound               (failed, not due to the transition)
 gpe-conf               (builds fine)
 gretl                  (builds fine)
 hamfax                 (builds fine)
 hydrogen               (builds fine)
 kwave                  (failed, not due to the transition)
 libsdl1.2              (builds fine)
 libspectrum            (builds fine)
 lush                   (builds fine)
 mixxx                  (builds fine)
 mpd                    (builds fine)
 normalize-audio        (failed, I'll provide a patch ASAP)
 pommed                 (builds fine)
 soundmodem             (builds fine)
 swami                  (builds fine)
 terminatorx            (builds fine)
 timidity               (builds fine)


Thanks in advance for any reply, cheers!


[1] http://debomatic64.debian.net/audiofile/

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655074; Package release.debian.org. (Mon, 09 Jan 2012 02:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jan 2012 02:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 655074@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 655074@bugs.debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Mon, 9 Jan 2012 03:11:43 +0100
Hi again,

On Sun, Jan 8, 2012 at 12:23 PM, Alessio Treglia <alessio@debian.org> wrote:
>  normalize-audio        (failed, I'll provide a patch ASAP)

I've filed the bug #655181, a patch is also provided.

Regards,

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655074; Package release.debian.org. (Wed, 11 Jan 2012 10:54:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 11 Jan 2012 10:54:52 GMT) Full text and rfc822 format available.

Message #15 received at 655074@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Alessio Treglia <alessio@debian.org>, 655074@bugs.debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Wed, 11 Jan 2012 11:51:15 +0100
owner 655074 !
thanks

On 2012-01-08 12:23, Alessio Treglia wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Hi,
> 

Hi,

> few days ago I uploaded audiofile 0.3.2 to experimental and, due to the
> ABI change introduced by this new stable release (see bug#562677), I need
> a transition slot.
> 

It seems to me that you have not renamed libaudio0 in your experimental
upload.  Please double check this and ensure you do not upload an ABI
bumped library without changing its package name.

> The following packages would be affected by the transition and I've already
> tried to build them, you could have a look at the logs here [1]:
> 
>  [...]
>  beast                  (builds fine)

Happens to be stuck in sid due to oss4, which is RC buggy.  Fun

>  cheesetracker          (builds fine)

Got RM'ed two days ago, less work I guess.  :)

>  [...]
>  galan                  (builds fine)

Also happens to be RC-buggy and not in testing.

>  glame                  (failed, not due to the transition)

Unfortunately this is in testing so either it gets fixed or RM'd from
testing.  At least it has no rdeps in testing at the moment.

>  [...]
>  kwave                  (failed, not due to the transition)

There are no reported FTBFS bugs against this, so please file a bug and
mark it as a blocker of this bug.

>  [...]
> 
> 
> Thanks in advance for any reply, cheers!
> 
> 
> [1] http://debomatic64.debian.net/audiofile/
> 
> [...]

The transition shares a package (hydrogen) with libarchive (which was
blocked by another transition last I checked).  Most likely we can
schedule audiofile first if libarchive is not ready soon.  I will get
back to you on this.

~Niels





Owner recorded as Niels Thykier <niels@thykier.net>. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 11 Jan 2012 10:55:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Thu, 12 Jan 2012 13:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Thu, 12 Jan 2012 13:12:07 GMT) Full text and rfc822 format available.

Message #22 received at 655074@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 655074@bugs.debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Thu, 12 Jan 2012 14:09:34 +0100
Hi,

just to let you know I've uploaded the new upstream release (with a
proper SONAME set) to experimental and it's now sitting in NEW.

Thanks for your time and work, regards.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Added blocking bug(s) of 655074: 655657 Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 13 Jan 2012 00:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Fri, 13 Jan 2012 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 13 Jan 2012 01:15:04 GMT) Full text and rfc822 format available.

Message #29 received at 655074@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 655074@bugs.debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Fri, 13 Jan 2012 02:11:15 +0100
On Wed, Jan 11, 2012 at 11:51 AM, Niels Thykier <niels@thykier.net> wrote:
>>  kwave                  (failed, not due to the transition)
>
> There are no reported FTBFS bugs against this, so please file a bug and
> mark it as a blocker of this bug.

Done.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Wed, 18 Jan 2012 04:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Wed, 18 Jan 2012 04:45:03 GMT) Full text and rfc822 format available.

Message #34 received at 655074@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: alessio@debian.org
Cc: 655074@bugs.debian.org, kwave@packages.debian.org
Subject: Re: #655074 transition audiofile - kwave fixed in experimental
Date: Wed, 18 Jan 2012 15:40:31 +1100
[Message part 1 (text/plain, inline)]
Alessio,

Upstream have released a new version of kwave which depends on the new 
upstream for audiofile.

I have uploaded to experimental, and thus should be ready for transition to 
unstable.

I am happy to upload to unstable, once audiofile is uploaded.

Or I am happy for other suggestions for the best way to transition together.

Mark

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655074; Package release.debian.org. (Wed, 18 Jan 2012 14:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Jan 2012 14:42:08 GMT) Full text and rfc822 format available.

Message #39 received at 655074@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 655074@bugs.debian.org, Alessio Treglia <alessio@debian.org>
Subject: Re: Bug#655074: transition: audiofile
Date: Wed, 18 Jan 2012 15:38:22 +0100
On 2012-01-11 11:51, Niels Thykier wrote:
> owner 655074 !
> thanks
> 
> On 2012-01-08 12:23, Alessio Treglia wrote:
>> Package: release.debian.org
>> Severity: normal
>> User: release.debian.org@packages.debian.org
>> Usertags: transition
>>
>> Hi,
>>
> 
> Hi,
> 

Hi,

Turns out libarchive is now blocked by the iceweasel transition, so we
can do audiofile ahead of that.  However, ...

>> few days ago I uploaded audiofile 0.3.2 to experimental and, due to the
>> ABI change introduced by this new stable release (see bug#562677), I need
>> a transition slot.
>>
> 
> It seems to me that you have not renamed libaudio0 in your experimental
> upload.  Please double check this and ensure you do not upload an ABI
> bumped library without changing its package name.
> 
>> The following packages would be affected by the transition and I've already
>> tried to build them, you could have a look at the logs here [1]:
>>
>>  [...]
>>  beast                  (builds fine)
> 
> Happens to be stuck in sid due to oss4, which is RC buggy.  Fun
> 

I am not too happy with this.  I will try to convince the oss4
maintainers to fix the issue.

>>  [...]
>>  glame                  (failed, not due to the transition)
> 
> Unfortunately this is in testing so either it gets fixed or RM'd from
> testing.  At least it has no rdeps in testing at the moment.
> 
>>  [...]

I am okay with starting the transition if you are ready to NMU glame (if
needed) and you (as its maintainer) don't mind beast being uninstallable
in sid for a while (if the oss4 fix is stalled).


~Niels





Added blocking bug(s) of 655074: 645537 and 647271 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 18 Jan 2012 14:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Wed, 18 Jan 2012 18:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Wed, 18 Jan 2012 18:33:06 GMT) Full text and rfc822 format available.

Message #46 received at 655074@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 655074@bugs.debian.org, kobras@debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Wed, 18 Jan 2012 19:28:21 +0100
On Wed, Jan 18, 2012 at 3:38 PM, Niels Thykier <niels@thykier.net> wrote:
> I am okay with starting the transition if you are ready to NMU glame (if
> needed) and you (as its maintainer) don't mind beast being uninstallable
> in sid for a while (if the oss4 fix is stalled).

I'm not ready with glame, which seems very out-of-date, moreover
upstream is no longer active and a big number of many alternatives is
available in the archive; I'm CC'ing Daniel, the maintainer of glame,
to know what he thinks about the status of the package and whether it
would be a good idea to ask ftp-masters for its removal.

Regarding beast, we could drop the OSS support until OSS4 is ready.

Thanks,

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Wed, 18 Jan 2012 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kobras <kobras@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Wed, 18 Jan 2012 19:45:05 GMT) Full text and rfc822 format available.

Message #51 received at 655074@bugs.debian.org (full text, mbox):

From: Daniel Kobras <kobras@debian.org>
To: Alessio Treglia <alessio@debian.org>
Cc: Niels Thykier <niels@thykier.net>, 655074@bugs.debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Wed, 18 Jan 2012 20:42:32 +0100
Hi Alessio!

Am 18.01.2012 um 19:28 schrieb Alessio Treglia:
> On Wed, Jan 18, 2012 at 3:38 PM, Niels Thykier <niels@thykier.net> wrote:
>> I am okay with starting the transition if you are ready to NMU glame (if
>> needed) and you (as its maintainer) don't mind beast being uninstallable
>> in sid for a while (if the oss4 fix is stalled).
> 
> I'm not ready with glame, which seems very out-of-date, moreover
> upstream is no longer active and a big number of many alternatives is
> available in the archive; I'm CC'ing Daniel, the maintainer of glame,
> to know what he thinks about the status of the package and whether it
> would be a good idea to ask ftp-masters for its removal.

Agreed. I've just filed #656367, requesting to remove the glame package
from unstable. It certainly shouldn't hold up the audiofile transition.

Regards,

Daniel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Thu, 19 Jan 2012 20:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Thu, 19 Jan 2012 20:39:13 GMT) Full text and rfc822 format available.

Message #56 received at 655074@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 655074@bugs.debian.org
Cc: Mark Purcell <mark@purcell.id.au>
Subject: Re: Bug#655074: #655074 transition audiofile - kwave fixed in experimental
Date: Thu, 19 Jan 2012 21:36:47 +0100
On Wed, Jan 18, 2012 at 5:40 AM, Mark Purcell <mark@purcell.id.au> wrote:
> I am happy to upload to unstable, once audiofile is uploaded.

Thank you Mark!

Niels, I think we're ready, aren't we?

Thank you very much, guys, for all your time and work.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Fri, 20 Jan 2012 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Niels Thykier" <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 20 Jan 2012 09:27:04 GMT) Full text and rfc822 format available.

Message #61 received at 655074@bugs.debian.org (full text, mbox):

From: "Niels Thykier" <niels@thykier.net>
To: 655074@bugs.debian.org, "Alessio Treglia" <alessio@debian.org>, 655074@bugs.debian.org
Cc: "Mark Purcell" <mark@purcell.id.au>
Subject: Re: Bug#655074: #655074 transition audiofile - kwave fixed in experimental
Date: Fri, 20 Jan 2012 10:24:24 +0100


On Jan 19, 2012 21:36 "Alessio Treglia" <alessio@debian.org> wrote:
> On Wed, Jan 18, 2012 at 5:40 AM, Mark Purcell <mark@purcell.id.au>
> wrote:
> > I am happy to upload to unstable, once audiofile is uploaded.
> 
> Thank you Mark!
> 
> Niels, I think we're ready, aren't we?
> 
> Thank you very much, guys, for all your time and work.
> 

I believe we are.  Please go ahead.

Mark: If you upload right away, please remember version the -dev dependency so we are sure it is built against the new audiofile (saves us from doing a binNMU).

~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Fri, 20 Jan 2012 10:23:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 20 Jan 2012 10:23:54 GMT) Full text and rfc822 format available.

Message #66 received at 655074@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 655074@bugs.debian.org
Subject: Re: Bug#655074: #655074 transition audiofile - kwave fixed in experimental
Date: Fri, 20 Jan 2012 11:21:04 +0100
On Fri, Jan 20, 2012 at 10:24 AM, Niels Thykier <niels@thykier.net> wrote:
> Mark: If you upload right away, please remember version the -dev dependency so we are sure it is built against the new audiofile (saves us from doing a binNMU).

Do you mean to rename libaudiofile-dev to libaudiofile1-dev or just to
set a strict dependency on the latest version of libaudiofile1? The
latter is already OK, since the the -dev's Depends filed already shows
the following

    Depends: libaudiofile1 (= ${binary:Version}),

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Fri, 20 Jan 2012 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Niels Thykier" <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 20 Jan 2012 15:21:04 GMT) Full text and rfc822 format available.

Message #71 received at 655074@bugs.debian.org (full text, mbox):

From: "Niels Thykier" <niels@thykier.net>
To: "Alessio Treglia" <alessio@debian.org>
Cc: 655074@bugs.debian.org, "Mark Purcell" <mark@purcell.id.au>
Subject: Re: Re: Bug#655074: #655074 transition audiofile - kwave fixed in experimental
Date: Fri, 20 Jan 2012 16:16:44 +0100


On Jan 20, 2012 11:21 "Alessio Treglia" <alessio@debian.org> wrote:
> On Fri, Jan 20, 2012 at 10:24 AM, Niels Thykier <niels@thykier.net>
> wrote:
> > Mark: If you upload right away, please remember version the -dev
> > dependency so we are sure it is built against the new audiofile
> > (saves us from doing a binNMU).
> 
> Do you mean to rename libaudiofile-dev to libaudiofile1-dev or just to
> set a strict dependency on the latest version of libaudiofile1? The
> latter is already OK, since the the -dev's Depends filed already shows
> the following
> 
>     Depends: libaudiofile1 (= ${binary:Version}),
> 

That part was meant for Mark (and kwave).  I was asking him to set a strict 
versioned build-dependency on libaudiofile-dev (>= 0.3.3-1~exp1)[1] if he uploads
shortly after the new audiofile upload to unstable.

The rationale being that some buildds may end up compiling kware before audiofile
if that versioned build-dependency is not there.  In that case we will have to
schedule binNMUs for kware, which I am hoping to avoid.

~Niels

[1] I admit I was being a bit too implicit here.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Fri, 20 Jan 2012 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 20 Jan 2012 21:30:04 GMT) Full text and rfc822 format available.

Message #76 received at 655074@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 655074@bugs.debian.org
Subject: Re: Bug#655074: Re: Bug#655074: #655074 transition audiofile - kwave fixed in experimental
Date: Fri, 20 Jan 2012 22:26:00 +0100
I've uploaded audiofile right now.

Regards,


-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Fri, 20 Jan 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 20 Jan 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #81 received at 655074@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: "Niels Thykier" <niels@thykier.net>
Cc: "Alessio Treglia" <alessio@debian.org>, 655074@bugs.debian.org
Subject: Re: Bug#655074: #655074 transition audiofile - kwave fixed in experimental
Date: Sat, 21 Jan 2012 09:16:33 +1100
[Message part 1 (text/plain, inline)]
On Sat, 21 Jan 2012 02:16:44 Niels Thykier wrote:
> That part was meant for Mark (and kwave).  I was asking him to set a
> strict  versioned build-dependency on libaudiofile-dev (>=
> 0.3.3-1~exp1)[1] if he uploads shortly after the new audiofile upload to
> unstable.

Niels,

No problem,  kwave 0.8.7 Build-Depends on libaudiofile-dev (>> 0.3.0).

Mark
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 655074: 654766 Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 23:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Fri, 27 Jan 2012 11:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 27 Jan 2012 11:12:11 GMT) Full text and rfc822 format available.

Message #88 received at 655074@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 655074@bugs.debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Fri, 27 Jan 2012 12:08:37 +0100
Niels,

please add the following packages too:

 - xabacus
 - xpuzzles
 - festival
 - sawfish
 - speech-tools

Sorry for not having noticed before.
Regards,

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655074; Package release.debian.org. (Fri, 27 Jan 2012 11:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Jan 2012 11:33:12 GMT) Full text and rfc822 format available.

Message #93 received at 655074@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Alessio Treglia <alessio@debian.org>, 655074@bugs.debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Fri, 27 Jan 2012 12:30:28 +0100
On 2012-01-27 12:08, Alessio Treglia wrote:
> Niels,
> 
> please add the following packages too:
> 
>  - xabacus
>  - xpuzzles
>  - festival
>  - sawfish
>  - speech-tools
> 
> Sorry for not having noticed before.
> Regards,
> 


They seem to pick up libaudiofile via libesd0-dev.  Luckily none of the
newly picked up packages (that actually depend on libaudiofile) appear
to be involved in other transitions.

Thanks for catching this,
~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#655074; Package release.debian.org. (Fri, 27 Jan 2012 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 27 Jan 2012 18:15:03 GMT) Full text and rfc822 format available.

Message #98 received at 655074@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Alessio Treglia <alessio@debian.org>, 655074@bugs.debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Fri, 27 Jan 2012 19:11:26 +0100
[Message part 1 (text/plain, inline)]
On 08.01.2012 12:23, Alessio Treglia wrote:
>  esound                 (builds fine)

fails on kfreebsd https://buildd.debian.org/status/package.php?p=esound

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added blocking bug(s) of 655074: 657927 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 30 Jan 2012 09:03:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 31 Jan 2012 10:15:27 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Wed, 15 Feb 2012 09:33:12 GMT) Full text and rfc822 format available.

Notification sent to Alessio Treglia <alessio@debian.org>:
Bug acknowledged by developer. (Wed, 15 Feb 2012 09:33:15 GMT) Full text and rfc822 format available.

Message #107 received at 655074-done@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Alessio Treglia <alessio@debian.org>, 655074-done@bugs.debian.org
Subject: Re: Bug#655074: transition: audiofile
Date: Wed, 15 Feb 2012 10:32:03 +0100
On 2012-01-08 12:23, Alessio Treglia wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Hi,
> 
> few days ago I uploaded audiofile 0.3.2 to experimental and, due to the
> ABI change introduced by this new stable release (see bug#562677), I need
> a transition slot.
> 
> The following packages would be affected by the transition and I've already
> tried to build them, you could have a look at the logs here [1]:
> 
>  [...]
> 
> 
> Thanks in advance for any reply, cheers!
> 
> 
> [1] http://debomatic64.debian.net/audiofile/
> 
> [...]
> 
> 

Hi,

Closing this as it has been done for a couple of days.

~Niels






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Mar 2012 07:35:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:43:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.